.image-list-block {
  margin: 24px 0 54px;
  padding-top: 30px;

  &__container {
  }

  &__header {
    font-weight: 400;
    font-size: 30px;
    line-height: 29px;
    display: flex;
    align-items: center;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: #FFFFFF;
    margin-bottom: 28px;
  }

  &__list {
    padding: 0;
    margin: 0;
    list-style: none;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
    gap: 20px 23px;
  }

  &__list-item {
    height: 234px;
    border-radius: 14.9968px;
    overflow: hidden;
  }

  &__preloader-image {
    width: 100%;
    height: 100%;
    transition: 0.5s ease transform;
  }

  @media screen and (pointer: fine) {

    &__list-item:hover &__preloader-image {
      transform: scale(1.05);
      transition: 0.5s ease transform;
    }
  }

  @media screen and (max-width: 1230px) {

    &__list {
      gap: 20px;
      grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
    }

    &__list-item {
      height: 170px;
    }
  }

  @media screen and (max-width: 576px) {
    margin-top: 10px;
    margin-bottom: 19px;
    padding-top: 30px;

    &__header {
      font-size: 24px;
      line-height: 23px;
      letter-spacing: 0.02em;
      margin-bottom: 19px;
    }

    &__list {
      gap: 20px;
      grid-template-columns: repeat(auto-fill, minmax(154px, 1fr));
    }

    &__list-item {
      height: 122px;
    }
  }
}